/*============================================================================*/
/* Загрузчик */
/*============================================================================*/

@keyframes animate-stripes
{
  0%
  {
    background-position: 0 0;
  }
  100%
  {
    background-position: 60px 0;
  }
}

#header
{
  width: 100%;
  height: var(--header_height);
  position: relative;
  z-index: 501;
  box-shadow: 0 0 5px rgba(0,0,0,0.1);
  background-color: var(--header_color);
  color: var(--header_text_color);
  position: fixed;
  top: 0;
}

#header_loader
{
  transition: background-image 1s;
  
  position: absolute;
  top: 40px;
  left: 0;
  width: 100%;
  height: 10px;
  opacity: 0;

  background-image: -webkit-gradient(
    linear, left top, right bottom,
    color-stop(.25, rgba(255,255,255,0.06)),
    color-stop(.25, transparent),
    color-stop(.5, transparent),
    color-stop(.5, rgba(255,255,255,0.06)),
    color-stop(.75, rgba(255,255,255,0.06)),
    color-stop(.75, transparent),
    
    to(transparent)
  );
  
  background-size: 20px 20px;
  animation: animate-stripes 2s linear infinite;
  animation-direction: reverse;
  border-bottom: 1px solid var(--body_color);
}

.header_loader_alert
{
  background-color: #993333;
}

@keyframes rotation
{
  from
  {
    transform: rotate(0deg);
  }
  to
  {
    transform: rotate(360deg);
  }
}

@keyframes animate-stripes
{
  0%
  {
    background-position: 0 0;
  }
  100%
  {
    background-position: 60px 0;
  }
}

#loader
{
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10000;
  width: 100%;
  height: 100%;
  z-index: 500;
  background: var(--body_color);
}

#loader td
{
  vertical-align: middle;
}

#loader td div
{
  width: 40px;
  height: 40px;
  margin: auto;
  border: 5px solid rgba(0,0,0,0.1);
  border-top-color: var(--loader_color);
  border-radius: 100%;
  animation: rotation .8s infinite linear;
}

/*============================================================================*/
/* END Загрузчик */
/*============================================================================*/

/*============================================================================*/
/* Бокс сообщений */
/*============================================================================*/

#mess_box_karkas
{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--screen_color);
  z-index: 100002;
}

#mess_box_karkas td
{
  padding-top: 20%;
}

#mess_box
{
  max-width: 280px;
  background: rgba(255,255,255,1);
  margin: 10px auto;
  position: relative;
  padding: 10px;
  padding-bottom: 15px;
  box-shadow: 0 5px 10px rgba(0,0,0,0.3);
  z-index: 2;
}

#mess_box_cont
{
  margin-bottom: 10px;
  color: #000;
}

#mess_box_close
{
  margin-top: 10px;
  margin-bottom: -5px;
  text-align: center;
}

#mess_box_click_close
{
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
}

/*============================================================================*/
/* END Бокс сообщений */
/*============================================================================*/

/*============================================================================*/
/* Всплывающее окно */
/*============================================================================*/

#popup_frame
{
  position: fixed;
  top: 0;
  left: 0;
  z-index: 9999;
  width: 100%;
  height: 100%;
  background: var(--screen_color);
  overflow-y: scroll;
}

#popup_layer
{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#popup
{
  margin: 5% auto;
  background: var(--body_color);
  width: 100%;
  color: var(--text_color);
}

.popup_loading
{
  height: 100px;
  background: url(/img/loader.gif) 50% 50% no-repeat;
}

#popup_body
{
  position: relative;
}

#popup_close
{
  position: absolute;
  top: 0;
  right: 0;
  width: 36px;
  height: 36px;
  cursor: pointer;
  padding: 10px;
}

#popup_close::before, #popup_close::after
{
  content: "";
  position: absolute;
  top: 50%;
  right: 50%;
  display: block;
  width: 16px;
  height: 2px;
  margin-top: -1px;
  margin-right: -10px;
  background: var(--close_color);
}

#popup_close::before
{
  -webkit-transform: rotate(45deg);
}

#popup_close::after
{
  -webkit-transform: rotate(-45deg);
}

#popup_header
{
  padding: 10px;
}

#popup_zag
{
  padding-right: 26px;
  font-weight: normal;
}

#popup_cont
{
  padding: 10px;
}

#popup_cont .but
{
  color: #fff!important;
  font-weight: normal;
}

/*============================================================================*/
/* END Всплывающее окно */
/*============================================================================*/

/*============================================================================*/
/* Формы */
/*============================================================================*/

input[type=submit], input[type=button], .but, .but_sub, .but_alert
{
  font-family: var(--font);
  font-size: var(--font_size);
  cursor: pointer;
  color: #fff;
  background: var(--button_color);
  border-radius: var(--button_border_radius);
  display: inline-block;
  height: 36px;
  line-height: 34px;
  padding: 0 14px;
  outline: none;
  border: 1px solid var(--button_color);
  text-align: center;
  -moz-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.but_alert
{
  border: 1px solid var(--alert_color);
  background: var(--alert_color);
  color: var(--alert_text_color);
}

.but_sub
{
  border: 1px solid var(--button_color);
  color: var(--button_color);
  background: transparent;
}

/*============================================================================*/
/* END Формы */
/*============================================================================*/